<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>
<template>
  <div class="container">
    <SlpContainer>
      <SlpRow class="heading">
        <SlpColumn
          :cols="6"
          :data-aos="'fade-right'"
          :data-aos-duration="1600"
          :data-aos-offset="200"
        >
          <SlpTypography tag="h1" variant="heading1-bold" class="slp-mb-24">{{
            data.header
          }}</SlpTypography>
          <SlpButton
            :href="'/platform/'"
            variant="primary"
            :data-ga-name="data.link.data_ga_name"
            :data-ga-location="data.link.data_ga_location"
            >{{ data.link.text }}</SlpButton
          >
        </SlpColumn>
        <SlpColumn
          :cols="5"
          :data-aos="'fade-left'"
          :data-aos-duration="1600"
          :data-aos-offset="200"
          class="heading__col heading__col--image"
        >
          <nuxt-img
            src="/nuxt-images/software-faster/devsecops.svg"
            alt="devsecops"
            loading="lazy"
            format="webp"
            quality="99"
          />
        </SlpColumn>
      </SlpRow>
      <SlpRow
        class="featured-content"
        :data-aos="'fade-up'"
        :data-aos-duration="1600"
        :data-aos-offset="200"
      >
        <div
          v-for="card in data.cards"
          :key="card.header"
          class="featured-content__card"
        >
          <div class="featured-content__text">
            <SlpIcon
              v-if="card.icon"
              class="icon"
              :name="card.icon"
              :variant="card.icon.variant || 'marketing'"
              :alt="card.icon.alt"
              size="md"
            />
            <SlpTypography tag="h5" variant="heading5-bold" class="slp-mb-24">
              {{ card.header }}</SlpTypography
            >
            <SlpTypography
              variant="body2"
              tag="p"
              class="slp-mb-46 description"
            >
              {{ card.description }}
            </SlpTypography>
          </div>
        </div>
      </SlpRow>
    </SlpContainer>
  </div>
</template>

<style lang="scss" scoped>
.container {
  background: linear-gradient(
    159.09deg,
    #f6cdbe 0.37%,
    #f8f5ff 22.79%,
    #ffffff 44.56%,
    #e2d2f1 78.43%,
    #ffd4d8 109.47%
  );
  padding-top: $spacing-96;

  @media (max-width: $breakpoint-md) {
    max-width: 100%;
    padding-top: $spacing-48;
  }

  .heading {
    display: flex;
    align-items: center;
    justify-content: space-between;

    &__col {
      &--image {
        display: flex;
        justify-content: flex-end;

        @media (max-width: $breakpoint-md) {
          img {
            max-width: 100%;
          }
        }
      }
    }

    @media (max-width: $breakpoint-md) {
      .slp-btn {
        width: 100%;
        margin-bottom: $spacing-32;
        display: flex;
        justify-content: center;
      }
    }
  }

  .featured-content {
    display: grid;
    grid-template-columns: 1fr;
    gap: 30px;
    padding: $spacing-24 0;

    @media (min-width: $breakpoint-lg) {
      grid-template-columns: 1fr 1fr 1fr 1fr;
      padding: 80px 0 96px 0;
      margin: 0;
    }

    &__card {
      color: inherit;
      display: flex;
      border-radius: 4px;
      flex-direction: column;
      align-items: flex-start;
      padding: 32px;
      margin: 0;
      width: 255px;
      isolation: isolate;
      background: $color-surface-50;
      z-index: 1;
      position: relative;

      @media (max-width: $breakpoint-md) {
        width: 100%;
      }

      // creating the hover effect using this method because transitions do not work with linear-gradient backgrounds.
      &:before {
        position: absolute;
        content: '';
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        background: linear-gradient(141.56deg, #fff 100%, #fff 100%);
        z-index: -1;
        transition: all 0.3s ease-in-out;
        opacity: 0;
        border-radius: 4px 4px 4px 4px;
      }

      &:hover:before {
        opacity: 1;
        border-radius: 4px 4px 100px 4px;
      }
    }
    &__text {
      flex-basis: 100%;

      .icon {
        width: $spacing-32;
        height: $spacing-32;
        margin-bottom: $spacing-8;
      }
    }
    &__link {
      color: $color-text-link-100;
      padding-left: 0;
      margin-top: 24px;
      &:hover {
        text-decoration-color: $color-text-link-100;
      }
    }
  }
}
</style>
